View Issue Details

IDProjectCategoryView StatusLast Update
0002147NoesisGUIC# SDKpublic2021-12-10 15:16
Reporterrelife87 Assigned Tohcpizzi  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.1.1 
Target Version3.1.2Fixed in Version3.1.2 
Summary0002147: Unable to start .NET 5 app in linux (XDisplay)
DescriptionFrom forum post https://www.noesisengine.com/forums/viewtopic.php?f=3&t=2446

TagsNo tags attached.
PlatformAny

Activities

hcpizzi

hcpizzi

2021-10-13 11:09

developer   ~0007512

Sorry, just to clarify a few points:

- You're using WSL, right? Is it WSL 1 or 2?
- You can run other GUI applications on WSL.
- Which Linux distribution are you using?

Thanks
relife87

relife87

2021-10-13 17:32

reporter   ~0007513

Last edited: 2021-10-13 18:31

- version 2
- yes, i'm configured Xming and check this on default x11 programs - xcalc, xclock and firefox
- Ubuntu 20.04.3 LTS (GNU/Linux 5.10.16.3-microsoft-standard-WSL2 x86_64)

message in forum contains two problems,
- XDisplay return zero if you not change parameter XOpenDisplay(null); to content output from $DISPLAY variable from console command
- library .dll not correct working call on linux

please say me if second problem need created to another thread - this critical for my project, i'm cannot testing application

Thanks

hcpizzi

hcpizzi

2021-10-13 23:17

developer   ~0007514

Another question: Are you able to run OpenGL applications, such as glxgears?
relife87

relife87

2021-10-14 01:53

reporter   ~0007515

Last edited: 2021-10-14 02:01

yes.... may-be i'm run app from VS 2022 (target WSL for debug) and this make problem display cannot auto identity x11, i'm tryed first run application from Virtual Box VM on Ubuntu, but after crash without exception - using debug with WSL from VS 2022

2021-10-14 025315.jpg (124,480 bytes)   
2021-10-14 025315.jpg (124,480 bytes)   
hcpizzi

hcpizzi

2021-10-14 16:57

developer   ~0007516

Last edited: 2021-10-14 16:59

I've been able to run our samples using WSL2 and our 3.1.1 NuGet packages.

However, even though it worked for me, I've made two changes that will be part of the next release:

- We were passing "" as an argument to XOpenDisplay. I've changed the parameter to null. When a null pointer is passed to XOpendDisplay it uses the value of the DISPLAY environment variable. It is working for me using "", but the new code is more correct.
- I've made changes to the OpenGL/GLX/X11 DllImports to explicitly state the version of the so, so that you don't need libGLX.so, just libGLX.so.0 and so on. I could get around this by creating the symlinks, but it's more correct this way.

I didn't see any problems with Noesis_GetCurrentThreadId. The version of libNoesis.so has those functions and they work correctly.

Issue History

Date Modified Username Field Change
2021-10-13 10:50 sfernandez New Issue
2021-10-13 10:51 sfernandez Assigned To => hcpizzi
2021-10-13 10:51 sfernandez Status new => assigned
2021-10-13 10:51 sfernandez Target Version => 3.1.2
2021-10-13 11:09 hcpizzi Note Added: 0007512
2021-10-13 17:12 sfernandez Reporter sfernandez => relife87
2021-10-13 17:32 relife87 Note Added: 0007513
2021-10-13 18:31 relife87 Note Edited: 0007513
2021-10-13 23:17 hcpizzi Note Added: 0007514
2021-10-14 01:53 relife87 File Added: 2021-10-14 025315.jpg
2021-10-14 01:53 relife87 Note Added: 0007515
2021-10-14 02:01 relife87 Note Edited: 0007515
2021-10-14 16:57 hcpizzi Note Added: 0007516
2021-10-14 16:58 hcpizzi Note Edited: 0007516
2021-10-14 16:59 hcpizzi Note Edited: 0007516
2021-12-10 15:16 hcpizzi Status assigned => resolved
2021-12-10 15:16 hcpizzi Resolution open => fixed
2021-12-10 15:16 hcpizzi Fixed in Version => 3.1.2